Package htsjdk.tribble.index

# Interface ChrIndex

All Known Implementing Classes:
  `IntervalTreeIndex.ChrIndex`, `LinearIndex.ChrIndex`

public interface ChrIndex
Represents an index on a specific chromosome

## Method Summary

Modifier and Type
Method
Description
`List<Block>`
`getBlocks()`
`List<Block>`
`getBlocks(int start, int end)`
`String`
`getName()`
`void`
`read(LittleEndianInputStream dis)`
`void`
`write(LittleEndianOutputStream dos)`

## Method Details

### getName

String getName()

### getBlocks

List<Block> getBlocks()

Returns:
  all blocks in ChrIndex

### getBlocks

List<Block> getBlocks(int start, int end)

Parameters:
  `start` - the start position, one based
  `end` - the end position, one based
Returns:
  a list of blocks that include the region defined from start to stop. Can never return null

### write

void write(LittleEndianOutputStream dos) throws IOException

Throws:
  `IOException`

### read

void read(LittleEndianInputStream dis) throws IOException

Throws:
  `IOException`